#include "driver.h"
#include "trid4dwave.h"

int 
main (int argc, char **argv)
{
	int     err;

	if (snd_init (argc, argv) == -1)
		return (EXIT_FAILURE);

	if ((err= snd_trid_init ()) < 0)
	{
		snd_cleanup ();
		fprintf (stderr, "Unable to detect Trident 4DWave PCI(%s)", strerror (-err));
		return (EXIT_FAILURE);
	}
	snd_start ();
	snd_trid_cleanup ();
	snd_cleanup ();
	return (0);
}
